Your message dated Wed, 30 Nov 2011 00:35:14 +0000
with message-id <[email protected]>
and subject line Bug#647647: fixed in transmission 2.42-1
has caused the Debian Bug report #647647,
regarding init.d status support
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
647647: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=647647
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: transmission-daemon
Version: 2.03-2.2
Severity: wishlist
Tags: patch
Here is a patch to add support for the "status" action to the init.d
script of transmission-daemon.
diff -Nru transmission-2.03/debian/changelog transmission-2.03/debian/changelog
--- transmission-2.03/debian/changelog 2011-08-06 04:29:26.000000000 +0300
+++ transmission-2.03/debian/changelog 2011-11-04 06:59:23.000000000 +0200
@@ -1,3 +1,9 @@
+transmission (2.03-2.3) UNRELEASED; urgency=low
+
+ * Add support for "status" action to init.d script
+
+ -- Peter Eisentraut <[email protected]> Fri, 04 Nov 2011 06:57:31 +0200
+
transmission (2.03-2.2) unstable; urgency=low
* Non-maintainer upload.
diff -Nru transmission-2.03/debian/transmission-daemon.init transmission-2.03/debian/transmission-daemon.init
--- transmission-2.03/debian/transmission-daemon.init 2010-10-18 01:07:04.000000000 +0300
+++ transmission-2.03/debian/transmission-daemon.init 2011-11-04 07:00:54.000000000 +0200
@@ -61,8 +61,11 @@
start_daemon
log_end_msg 0
;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
*)
- echo "Usage: /etc/init.d/$NAME {start|stop|reload|force-reload|restart}"
+ echo "Usage: /etc/init.d/$NAME {start|stop|reload|force-reload|restart|status}"
exit 2
;;
esac
--- End Message ---
--- Begin Message ---
Source: transmission
Source-Version: 2.42-1
We believe that the bug you reported is fixed in the latest version of
transmission, which is due to be installed in the Debian FTP archive:
transmission-cli_2.42-1_amd64.deb
to main/t/transmission/transmission-cli_2.42-1_amd64.deb
transmission-common_2.42-1_all.deb
to main/t/transmission/transmission-common_2.42-1_all.deb
transmission-daemon_2.42-1_amd64.deb
to main/t/transmission/transmission-daemon_2.42-1_amd64.deb
transmission-dbg_2.42-1_amd64.deb
to main/t/transmission/transmission-dbg_2.42-1_amd64.deb
transmission-gtk_2.42-1_amd64.deb
to main/t/transmission/transmission-gtk_2.42-1_amd64.deb
transmission-qt_2.42-1_amd64.deb
to main/t/transmission/transmission-qt_2.42-1_amd64.deb
transmission_2.42-1.debian.tar.bz2
to main/t/transmission/transmission_2.42-1.debian.tar.bz2
transmission_2.42-1.dsc
to main/t/transmission/transmission_2.42-1.dsc
transmission_2.42-1_all.deb
to main/t/transmission/transmission_2.42-1_all.deb
transmission_2.42.orig.tar.bz2
to main/t/transmission/transmission_2.42.orig.tar.bz2
A summary of the changes between this version and the previous one is
attached.
Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.
Debian distribution maintenance software
pp.
Leo Costela <[email protected]> (supplier of updated transmission package)
(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Format: 1.8
Date: Wed, 30 Nov 2011 00:55:36 +0100
Source: transmission
Binary: transmission transmission-common transmission-dbg transmission-cli
transmission-gtk transmission-qt transmission-daemon
Architecture: source all amd64
Version: 2.42-1
Distribution: experimental
Urgency: low
Maintainer: Leo Costela <[email protected]>
Changed-By: Leo Costela <[email protected]>
Description:
transmission - lightweight BitTorrent client
transmission-cli - lightweight BitTorrent client (command line programs)
transmission-common - lightweight BitTorrent client (common files)
transmission-daemon - lightweight BitTorrent client (daemon)
transmission-dbg - lightweight BitTorrent client (debug symbols)
transmission-gtk - lightweight BitTorrent client (GTK interface)
transmission-qt - lightweight BitTorrent client (Qt interface)
Closes: 647647
Changes:
transmission (2.42-1) experimental; urgency=low
.
* [8a7af00b] Imported Upstream version 2.42
* [852379b6] + [9461e1ab] adding patch to "fix" check for libutp
* [066e3202] t-daemon: patch to add support for "status" action.
Thanks to Peter Eisentraut (Closes: 647647)
* [00a1d8c2] refresh use-system-libmini(...) patch
* [8c4446e1] remove unnused ./configure args and explicitly enable cli+daemon
* [d80d20d6] build-deps: add gtk3 and bump miniupnp to >=1.6
Checksums-Sha1:
d6360eb0046bf2419e3d719ed3a2c24af92ce916 1865 transmission_2.42-1.dsc
744068c76f68c141d2aada689bc49a5b56cd618b 3846260 transmission_2.42.orig.tar.bz2
8cfefa5229dc341e9d8328eff0bd5df5e4129e0d 17292
transmission_2.42-1.debian.tar.bz2
732afd4e4958036bb3e675d0c1043929efdef1a5 890 transmission_2.42-1_all.deb
1adcda588b16677fc1d5072881468cb1085be36a 217388
transmission-common_2.42-1_all.deb
5ebaad035da4f5f7af53b2e62257656d8aaaab86 23223316
transmission-dbg_2.42-1_amd64.deb
cfeed3b6997e9b05288442501a932c568341c130 1100892
transmission-cli_2.42-1_amd64.deb
2d22afe809b9533d95a8aeb2283356f74b5c79f0 902294
transmission-gtk_2.42-1_amd64.deb
0b5795b63a0df1d9ffb3dad9703e5abecc026b9c 575178
transmission-qt_2.42-1_amd64.deb
65407ca28b3ebdff1b938a2f82013face421ae89 224462
transmission-daemon_2.42-1_amd64.deb
Checksums-Sha256:
5c542bcb1f728b0292749c3ba6f4835145a8cadd5236955a1db2fd98778bb1c5 1865
transmission_2.42-1.dsc
765ff880d1763d99744299bbad0f268aee7fae844e5455e71214f36abaf6ad23 3846260
transmission_2.42.orig.tar.bz2
6166f5a236b645a68afd46e6efde18a3860754aa11272ccd9de8f8035b3f2112 17292
transmission_2.42-1.debian.tar.bz2
1beff905046bbb06d72128281e56d2f86e0221e285d96d3237805f87a0ffa926 890
transmission_2.42-1_all.deb
eced90e3286bf1374a8a2ec6dfa2eefb9a5e051e87de3bc48fcefd214f857f96 217388
transmission-common_2.42-1_all.deb
c3518d3ccbf80f010d1ea644c9e764fde565822333a0dc35487f56308177d653 23223316
transmission-dbg_2.42-1_amd64.deb
847ca1b7378655a4db3ec5926e17a1fcfc4f6c6dea9cb713705f8b2f92c84812 1100892
transmission-cli_2.42-1_amd64.deb
75edbe661a69ba56c82c5e6df1546e90f6d9fd5de0b9a2239871107133985547 902294
transmission-gtk_2.42-1_amd64.deb
c43416ca96ee88f1e00a9c9a4a1a23476c16c08b2346efc35621e706f1c5f6d4 575178
transmission-qt_2.42-1_amd64.deb
c571e299c22e24f588493d7f3d232dfd8f45072129bdc06e1e8e6b5fa60af806 224462
transmission-daemon_2.42-1_amd64.deb
Files:
6a439e95f40ddf6373cd55ce93c1de53 1865 net optional transmission_2.42-1.dsc
2ade0818d465779bd956b8b72ea56b02 3846260 net optional
transmission_2.42.orig.tar.bz2
5dba4d9cd45df23c22f6d2087cd58582 17292 net optional
transmission_2.42-1.debian.tar.bz2
1a2a8aec2a5b123cdfb70d7454a6f7af 890 net optional transmission_2.42-1_all.deb
f1d1325245eaaad9a4e0fc275fb156b8 217388 net optional
transmission-common_2.42-1_all.deb
e43bacf7471a577fd29d6f5be3f76a77 23223316 debug extra
transmission-dbg_2.42-1_amd64.deb
c47ba5f1ea8641d13d69c7acc7b6075d 1100892 net optional
transmission-cli_2.42-1_amd64.deb
d61c0770649ff93b73c483208e307515 902294 net optional
transmission-gtk_2.42-1_amd64.deb
1ea2116083b18adaf8eb0619f1d9d0fe 575178 net optional
transmission-qt_2.42-1_amd64.deb
813bd5eaa86a0eb5b8f5695bcf58d7a7 224462 net optional
transmission-daemon_2.42-1_amd64.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
iEYEARECAAYFAk7VdPwACgkQImLTb3rflGZxMQCeOnpROm3JFHpQ8It6e10efnSw
q9IAoJh5i6D/+1eykrzpFLxvQQI7chca
=zrrO
-----END PGP SIGNATURE-----
--- End Message ---